import 'package:flutter/material.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';
import 'package:wyatt_ui_layout/src/presentation/layouts/layout.dart';

class BottomNavigationBarLayout extends Layout {
  const BottomNavigationBarLayout({
    this.currentIndex,
    this.body,
    super.key,
  });
  final Widget? body;
  final int? currentIndex;
  @override
  Widget build(BuildContext context) => Scaffold(
        body: body,
        bottomNavigationBar: context.components.bottomNavigationBar?.copyWith(
          currentIndex: currentIndex ?? 0,
        ),
      );
}
